import type { _NSColor } from "../AppKit/NSColor.js";
import type { _NSFont } from "../AppKit/NSFont.js";
import type { _NSView } from "../AppKit/NSView.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _PDFView } from "./PDFView.js";
import type { CGSize } from "../structs/CGSize.js";
export declare class _PDFThumbnailView extends _NSView {
    static alloc(): _PDFThumbnailView;
    static new(): _PDFThumbnailView;
    init(): _PDFThumbnailView;
    /** PDFView associated with the thumbnail view. */
    PDFView(): _PDFView | null;
    setPDFView$(value: _PDFView | null): void;
    /** Background color of view. */
    backgroundColor(): _NSColor | null;
    setBackgroundColor$(value: _NSColor | null): void;
    /**
     * This will return only a single page unless allowsMultipleSelection is set to YES.
     */
    selectedPages(): _NSArray | null;
    /** The maximum thumbnail size. */
    thumbnailSize(): CGSize;
    setThumbnailSize$(value: CGSize): void;
    /** Maximum number of columns (0 indicates no limit - as many columns as will fit). */
    maximumNumberOfColumns(): number;
    setMaximumNumberOfColumns$(value: number): void;
    /** Font used for the page labels. */
    labelFont(): _NSFont | null;
    setLabelFont$(value: _NSFont | null): void;
    /**
     * Dragging. Allows a user to move icons within the PDFThumbnailView, changing page order. Default is false.
     */
    allowsDragging(): boolean;
    setAllowsDragging$(value: boolean): void;
    /**
     * Multiple selections. By default, PDFThumbnailView allows only a single page to be selected at once - the selected thumbnail always corresponds to -[PDFView currentPage]. When you enable multiple selections, the user is allowed to select more than one thumbnail.
     */
    allowsMultipleSelection(): boolean;
    setAllowsMultipleSelection$(value: boolean): void;
}
